import vl from 'vega-lite-api';
// whole specification
export const viz = vl
  // could be markLine, markArea, markBar
  .markBar()
  // specify the channel
  .encode(
    // fieldQ = quantitative field, fieldT = time
    // fieldN = nominal or categorical
    vl.x().fieldN('country').sort('-y'),
    vl.y().fieldQ('population'),
    vl.color().fieldN('religion'),
    vl.tooltip().fieldN('religion')
  );
